﻿<!DOCTYPE html>
<html ng-app="app">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")

</head>
<body>
    @Scripts.Render("~/bundles/jquery")
    <script>
        $(document).ready(function () {
            $('#q').click(function () {
                location.href = "/#/vikas";
            });
            $('.mnu').each(function () {
                $(this).attr('href','/#/' + window.btoa($(this).attr('href')));
            });
            
        });

    </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.4.0/angular.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.4.0/angular-route.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/angular-ui-router/0.4.2/angular-ui-router.js"></script>
    <script src="~/Scripts/App/app.module.js"></script>
    <script src="~/Scripts/App/app.config.js"></script>
    <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
        <div class="container-fluid">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#main-nav">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand mnu" href="Home/Home">AngularJS with ASP.Net MVC</a>
            </div>
            <div class="collapse navbar-collapse" id="main-nav">
                <ul class="nav navbar-nav">
                    <li>
                        <a href="Home/Page1" class="mnu">Page 1</a>
                    </li>
                    <li>
                        <a href="Home/Page2" class="mnu">Page 2</a>
                    </li>
                    <li>
                        <a href="Home/Page3" class="mnu">Page 3</a>
                    </li>
                    <li>
                        <a href="Home/Page4" class="mnu" id="qq">Page 4</a>
                    </li>

                </ul>
            </div>
        </div>
    </nav>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - My ASP.NET Application</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>
